Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# TAO_SCIOP_Endpoint Class Reference

TAO_SCIOP_Endpoint. More...

`#include <SCIOP_Endpoint.h>`

Inheritance diagram for TAO_SCIOP_Endpoint:

[legend]
Collaboration diagram for TAO_SCIOP_Endpoint:

[legend]
List of all members.

## Public Member Functions
| TAO_SCIOP_Endpoint (void)
| Default constructor.
| TAO_SCIOP_Endpoint (const char *host, CORBA::UShort port, const ACE_INET_Addr &addr, CORBA::Short priority=TAO_INVALID_PRIORITY)
| TAO_SCIOP_Endpoint (const ACE_INET_Addr &addr, int use_dotted_decimal_addresses)
| Constructor.
| TAO_SCIOP_Endpoint (const char *host, CORBA::UShort port, CORBA::Short priority)
| Constructor. This constructor is used when decoding endpoints.
| ~TAO_SCIOP_Endpoint (void)
| Destructor.
virtual TAO_Endpoint * | next (void)
virtual int | addr_to_string (char *buffer, size_t length)
virtual TAO_Endpoint * | duplicate (void)
virtual CORBA::Boolean | is_equivalent (const TAO_Endpoint *other_endpoint)
virtual CORBA::ULong | hash (void)
| Return a hash value for this object.
const ACE_INET_Addr & | object_addr (void) const
| Return a reference to the <object_addr>.
const char * | host (void) const
const char * | host (const char *h)
CORBA::UShort | port (void) const
| Return the port number.
CORBA::UShort | port (CORBA::UShort p)
| Set the port number.
bool | is_preferred_network (void) const
| Do we have a preferred local network for the target?
const char * | preferred_network (void) const
| Return the preferred network if any.
## Private Member Functions
int | set (const ACE_INET_Addr &addr, int use_dotted_decimal_addresses)
| Helper method for setting INET_Addr.
void | object_addr_i (void) const
| Helper method for object_addr ().
CORBA::ULong | preferred_interfaces (TAO_ORB_Core *oc)
| TAO_SCIOP_Endpoint (const TAO_SCIOP_Endpoint &)
| Canonical copy constructor.
## Private Attributes
CORBA::String_var | host_
| String representing the host name.
CORBA::UShort | port_
| TCP port number.
ACE_INET_Addr | object_addr_
int | object_addr_set_
| Flag to indicate if the address has been resolved and set.
TAO::IIOP_Endpoint_Info | preferred_path_
| Preferred path for this endpoint.
bool | is_encodable_
| Is this endpoint created encodable as part of the IOR?
TAO_SCIOP_Endpoint * | next_
## Friends
class | TAO_SCIOP_Profile
class | TAO_SSLIOP_Profile

## Detailed Description

TAO_SCIOP_Endpoint.

SCIOP-specific implementation of PP Framework Endpoint interface.

## Constructor & Destructor Documentation

TAO_SCIOP_Endpoint::TAO_SCIOP_Endpoint | ( | void |  | ) |

| Default constructor.

TAO_SCIOP_Endpoint::TAO_SCIOP_Endpoint | ( | const char * | host,
|  | CORBA::UShort | port,
|  | const ACE_INET_Addr & | addr,
|  | CORBA::Short | priority = `TAO_INVALID_PRIORITY`
| ) |

| Constructor. This is the most efficient constructor since it does not require any address resolution processing.

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_SCIOP_Endpoint::TAO_SCIOP_Endpoint | ( | const ACE_INET_Addr & | addr,
|  | int | use_dotted_decimal_addresses
| ) |

| Constructor.

TAO_SCIOP_Endpoint::TAO_SCIOP_Endpoint | ( | const char * | host,
|  | CORBA::UShort | port,
|  | CORBA::Short | priority
| ) |

| Constructor. This constructor is used when decoding endpoints.

TAO_SCIOP_Endpoint::~TAO_SCIOP_Endpoint | ( | void |  | ) |

| Destructor.

TAO_SCIOP_Endpoint::TAO_SCIOP_Endpoint | ( | const TAO_SCIOP_Endpoint & |  | ) | `[private]`

| Canonical copy constructor. In private section to prevent clients from invoking this accidentally. Clients should only use duplicate () to make a depp copy

## Member Function Documentation

int TAO_SCIOP_Endpoint::addr_to_string | ( | char * | buffer,
|  | size_t | length
| ) | `[virtual]`

| Implements TAO_Endpoint.

TAO_Endpoint * TAO_SCIOP_Endpoint::duplicate | ( | void |  | ) | `[virtual]`

| Implements TAO_Endpoint.

CORBA::ULong TAO_SCIOP_Endpoint::hash | ( | void |  | ) | `[virtual]`

| Return a hash value for this object. Implements TAO_Endpoint.

const char * TAO_SCIOP_Endpoint::host | ( | const char * | h | ) |

| Copy the string <h> into <host_> and return the resulting pointer. This object maintains ownership of this string.

TAO_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE const char * TAO_SCIOP_Endpoint::host | ( | void |  | ) | const

| Return a pointer to the host string. This object maintains ownership of this string.

CORBA::Boolean TAO_SCIOP_Endpoint::is_equivalent | ( | const TAO_Endpoint * | other_endpoint | ) | `[virtual]`

| Return true if this endpoint is equivalent to <other_endpoint>. Two endpoints are equivalent iff their port and host are the same. Implements TAO_Endpoint.

bool TAO_SCIOP_Endpoint::is_preferred_network | ( | void |  | ) | const

| Do we have a preferred local network for the target?

TAO_Endpoint * TAO_SCIOP_Endpoint::next | ( | void |  | ) | `[virtual]`

| Implements TAO_Endpoint.

const ACE_INET_Addr & TAO_SCIOP_Endpoint::object_addr | ( | void |  | ) | const

| Return a reference to the <object_addr>.

void TAO_SCIOP_Endpoint::object_addr_i | ( | void |  | ) | const`[private]`

| Helper method for object_addr ().

ACE_INLINE CORBA::UShort TAO_SCIOP_Endpoint::port | ( | CORBA::UShort | p | ) |

| Set the port number.

ACE_INLINE CORBA::UShort TAO_SCIOP_Endpoint::port | ( | void |  | ) | const

| Return the port number.

CORBA::ULong TAO_SCIOP_Endpoint::preferred_interfaces | ( | TAO_ORB_Core * | oc | ) | `[private]`

| Generate preferred interfaces from the options passed in by the user.

const char * TAO_SCIOP_Endpoint::preferred_network | ( | void |  | ) | const

| Return the preferred network if any.

int TAO_SCIOP_Endpoint::set | ( | const ACE_INET_Addr & | addr,
|  | int | use_dotted_decimal_addresses
| ) | `[private]`

| Helper method for setting INET_Addr.

## Friends And Related Function Documentation

friend class TAO_SCIOP_Profile`[friend]`

friend class TAO_SSLIOP_Profile`[friend]`

## Member Data Documentation

CORBA::String_var TAO_SCIOP_Endpoint::host_`[private]`

| String representing the host name.

bool TAO_SCIOP_Endpoint::is_encodable_`[private]`

| Is this endpoint created encodable as part of the IOR?

TAO_SCIOP_Endpoint* TAO_SCIOP_Endpoint::next_`[private]`

| SCIOP Endpoints can be stringed into a list. Return the next endpoint in the list, if any.

ACE_INET_Addr TAO_SCIOP_Endpoint::object_addr_`[mutable, private]`

| Cached instance of <ace_inet_addr> for use in making invocations, etc.

int TAO_SCIOP_Endpoint::object_addr_set_`[mutable, private]`

| Flag to indicate if the address has been resolved and set.

CORBA::UShort TAO_SCIOP_Endpoint::port_`[private]`

| TCP port number.

TAO::IIOP_Endpoint_Info TAO_SCIOP_Endpoint::preferred_path_`[private]`

| Preferred path for this endpoint.

The documentation for this class was generated from the following files:

- SCIOP_Endpoint.h
- SCIOP_Endpoint.cpp
- SCIOP_Endpoint.i